# Open Source Web Analytics

Database Upgrade Required

Your Piwik database is out-of-date, and must be upgraded before you can continue.

Piwik database will be upgraded from version 0.2.9 to the new version 1.4.

Important notes for large Piwik installations



Ready to go?

The database upgrade process may take a while, so please be patient.

File integrity check failed and reported some errors. This is most likely due to a partial or failed upload of some of the Piwik files. You should reupload all the Piwik files in BINARY mode and refresh this page until it shows no error.